package com.loafle.overflow.central.module.domain.dao;

import com.loafle.overflow.model.domain.Domain;
import com.loafle.overflow.model.domain.DomainMember;
import com.loafle.overflow.model.member.Member;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by root on 17. 6. 23.
 */
@Repository
public interface DomainMemberDAO extends JpaRepository<DomainMember, Long> {

  DomainMember findByMemberEmail(String memberEmail);

  Domain findDomainByMemberId(Long memberId);

  List<Member> findAllMemberByDomainId(Long domainID);
}
