package com.loafle.overflow.central.module.history.dao;

import com.loafle.overflow.model.history.History;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

/**
 * Created by insanity on 17. 8. 23.
 */
@Repository
public interface HistoryDAO extends JpaRepository<History, Long> {
    Page<History> findAllByProbeId(Long probeID, Pageable pageable);

    Page<History> findAllByProbeIdAndMetaHistoryTypeId(Long probeID, Integer metaHistoryTypeId, Pageable pageable);

    Page<History> findAllByDomainId(Long domainID, Pageable pageRequest);

    Page<History> findAllByDomainIdAndMetaHistoryTypeId(Long domainID, Integer metaHistoryTypeId, Pageable pageRequest);
}
