package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaInfraVendorDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaInfraVendor;
import com.loafle.overflow.service.central.meta.MetaInfraVendorService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */

@Service("MetaInfraVendorService")
public class CentralMetaInfraVendorService implements MetaInfraVendorService {

    @Autowired
    private MetaInfraVendorDAO infraVendorDAO;

    public List<MetaInfraVendor> readAllByMetaInfraTypeID(Integer metaInfraTypeID) throws OverflowException {
        return this.infraVendorDAO.findAllByMetaInfraTypeId(metaInfraTypeID);
    }

}
