package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaMemberStatusDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaMemberStatus;
import com.loafle.overflow.service.central.meta.MetaMemberStatusService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaMemberStatusService")
public class CentralMetaMemberStatusService implements MetaMemberStatusService {

    @Autowired
    private MetaMemberStatusDAO memberStatusDAO;

    public List<MetaMemberStatus> readAll() throws OverflowException {
        return this.memberStatusDAO.findAll();
    }
}
