package com.loafle.overflow.central.module.probe.service;

import com.loafle.overflow.central.module.probe.dao.ProbeTaskDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.probe.ProbeTask;
import com.loafle.overflow.service.central.probe.ProbeTaskService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 6. 28.
 */
@Service("ProbeTaskService")
public class CentralProbeTaskService implements ProbeTaskService{

    @Autowired
    private ProbeTaskDAO probeTaskDAO;

    public ProbeTask regist(ProbeTask probeTask) throws OverflowException {
        return this.probeTaskDAO.save(probeTask);
    }

    public List<ProbeTask> readAllByProbeID(Long probeID) throws OverflowException {
        return this.probeTaskDAO.findAllByProbeId(probeID);
    }
}
