package com.loafle.overflow.central.module.sensor.dao;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

import com.loafle.overflow.model.sensor.Sensor;
import com.loafle.overflow.model.target.Target;

/**
 * Created by root on 17. 6. 9.
 */
@Repository
public interface SensorDAO extends JpaRepository<Sensor, Long> {
    Page<Sensor> findAllByTargetId(Long targetID, Pageable pageable);

    List<Sensor> findAllByTargetId(Long targetID);

    Page<Sensor> findAllByTargetIn(List<Target> targets, Pageable pageable);
}
