package com.loafle.overflow.central.module.sensor.dao;

import com.loafle.overflow.model.meta.MetaSensorItemKey;
import com.loafle.overflow.model.sensor.SensorItemDependency;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by insanity on 17. 9. 20.
 */
@Repository
public interface SensorItemDependencyDAO extends JpaRepository<SensorItemDependency, Long> {

    List<MetaSensorItemKey> findAllByMetaSensorDisplayItemId(Long metaSensorDisplayItemId);
}
