package com.loafle.overflow.central.module.infra.service;

import com.loafle.overflow.central.module.infra.dao.InfraMachineDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.infra.InfraMachine;
import com.loafle.overflow.service.central.infra.InfraMachineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by insanity on 17. 6. 28.
 */
@Service("InfraMachineService")
public class CentralInfraMachineService implements InfraMachineService {
    @Autowired
    InfraMachineDAO infraMachineDAO;

    public InfraMachine regist(InfraMachine infraMachine) throws OverflowException {
        return this.infraMachineDAO.save(infraMachine);
    }

    public InfraMachine read(Long id) {
        return this.infraMachineDAO.findOne(id);
    }
}
