package com.loafle.overflow.central.module.infra.service;

import com.loafle.overflow.central.module.infra.dao.InfraOSApplicationDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.infra.InfraOSApplication;
import com.loafle.overflow.service.central.infra.InfraOSApplicationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by insanity on 17. 6. 28.
 */

@Service("InfraOSApplicationService")
public class CentralInfraOSApplicationService implements InfraOSApplicationService {
    @Autowired
    InfraOSApplicationDAO infraOSApplicationDAO;

    public InfraOSApplication regist(InfraOSApplication infraOSApplication) throws OverflowException {
        return this.infraOSApplicationDAO.save(infraOSApplication);
    }

    public InfraOSApplication read(Long id) throws OverflowException {
        return this.infraOSApplicationDAO.findOne(id);
    }
}
