package com.loafle.overflow.central.module.infra.service;

import com.loafle.overflow.central.module.infra.dao.InfraOSDaemonDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.infra.InfraOSDaemon;
import com.loafle.overflow.service.central.infra.InfraOSDaemonService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by insanity on 17. 6. 28.
 */

@Service("InfraOSDaemonService")
public class CentralInfraOSDaemonService implements InfraOSDaemonService {
    @Autowired
    InfraOSDaemonDAO infraOSDaemonDAO;

    public InfraOSDaemon regist(InfraOSDaemon infraOSDaemon) throws OverflowException {
        return this.infraOSDaemonDAO.save(infraOSDaemon);
    }

    public InfraOSDaemon read(Long id) throws OverflowException {
        return this.infraOSDaemonDAO.findOne(id);
    }
}
