package com.loafle.overflow.central.module.infra.service;

import com.loafle.overflow.central.module.infra.dao.InfraOSPortDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.infra.InfraOSPort;
import com.loafle.overflow.service.central.infra.InfraOSPortService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by insanity on 17. 6. 28.
 */

@Service("InfraOSPortService")
public class CentralInfraOSPortService implements InfraOSPortService {
    @Autowired
    InfraOSPortDAO infraOSPortDAO;

    public InfraOSPort regist(InfraOSPort infraOSPort) throws OverflowException {
        return this.infraOSPortDAO.save(infraOSPort);
    }

    public InfraOSPort read(Long id) throws OverflowException {
        return this.infraOSPortDAO.findOne(id);
    }

    public InfraOSPort readByInfraOSIDAndPortAndPortType(Long infraOSID, Integer port, String portType)
            throws OverflowException {
        return this.infraOSPortDAO.findByInfraOSIdAndPortAndPortType(infraOSID, port, portType);
    }
}
