package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaProbeOsDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaProbeOs;
import com.loafle.overflow.service.central.meta.MetaProbeOsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaProbeOsService")
public class CentralMetaProbeOsService implements MetaProbeOsService {

    @Autowired
    private MetaProbeOsDAO probeOsDAO;

    public List<MetaProbeOs> readAll() throws OverflowException {
        return this.probeOsDAO.findAll();
    }
}
