package com.loafle.overflow.central.module.noauthprobe.dao;

import com.loafle.overflow.model.noauthprobe.NoAuthProbe;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by root on 17. 5. 30.
 */
@Repository
public interface NoAuthProbeDAO extends JpaRepository<NoAuthProbe, Long> {

    NoAuthProbe findByTempProbeKey(String tempProbeKey);

    List<NoAuthProbe> findAllByDomainIdAndMetaNoAuthProbeStatusId(Long domainID, Short metaNoAuthProbeStatusId);

//    NoAuthProbeDeprecate findByTempKey(NoAuthProbeDeprecate noAuthAgent);
//    List<NoAuthProbeDeprecate> findAllByNoAuth(NoAuthProbeDeprecate noAuthAgent);
//    @Query("SELECT n FROM NoAuthProbe n WHERE n.tempProbeKey = :tempProbeKey")
//    @Query("select m from Member m WHERE m.email = :#{#m2.email}")

    // @Modifying(clearAutomatically = true)
    // @Query("UPDATE NoAuthProbe n set n.connectDate = :connectDate, n.connectAddress = :connectAddress where n.tempProbeKey = :tempProbeKey")
    // int saveConnect(@Param("tempProbeKey") String tempProbeKey, @Param("connectDate") Date connectDate, @Param("connectAddress") String connectAddress);
}
