package com.loafle.overflow.central.module.notification.dao;

import com.loafle.overflow.model.notification.Notification;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by insanity on 17. 8. 25.
 */
@Repository
public interface NotificationDAO extends JpaRepository<Notification, Long> {

    List<Notification> findAllByMemberEmail(String memberEmail);

    Page<Notification> findAllByMemberEmail(String memberEmail, Pageable pageRequest);

    Page<Notification> findAllByMemberEmailAndConfirmDateNull(String memberEmail, Pageable pageRequest);

    Long countByMemberEmailAndConfirmDateNull(String memberEmail);
}
